# Generated by rust2rpm 20
%bcond_without check

%global crate helvum

Name:           rust-%{crate}
Version:        0.3.4
Release:        %autorelease
Summary:        GTK patchbay for pipewire

# Upstream license specification: GPL-3.0-only
License:        GPLv3
URL:            https://crates.io/crates/helvum
Source:         %{crates_source}
# Compile against pipewire-0.5
Patch:          %{crate}-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  meson
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

%global _description %{expand:
GTK patchbay for pipewire.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# BSD
# GPLv3
# MIT
# MIT or ASL 2.0
# Unlicense or MIT
License:        GPLv3 and ASL 2.0 and BSD and MIT
Requires:       hicolor-icon-theme

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/helvum
%{_datadir}/applications/org.pipewire.Helvum.desktop
%{_datadir}/icons/hicolor/*/apps/org.pipewire.Helvum*.svg
%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# We will build by cargo ourselves
sed -i -e '/\(build_by_default\|install\)/s/true/false/' src/meson.build
sed -i -e '/dependency/d' meson.build
sed -i -e '/Cargo.lock/d' meson.build
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%meson
%meson_build

%install
%cargo_install
%meson_install

%if %{with check}
%check
%cargo_test
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pipewire.Helvum.desktop
appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/metainfo/org.pipewire.Helvum.metainfo.xml
%endif

%changelog
%autochangelog
